#!/bin/sh

cd /
version=`uname -r | sed -e 's/BOOT//' -e  's/smp//'`
drivername=a320raid

mods=`find /mnt/floppy -name "modules.cgz" -print`
if [ -z ${mods} ]; then
	mods=`find /mnt -name "modules.cgz" -print`;
	if [ -z ${mods} ]; then
		echo "Cannot find driver archive floppy";
		exit -1;
	fi;
fi

echo "Updating /etc/modules.conf"
teststr=`grep ${drivername} /etc/modules.conf`
if [ -z "${teststr}" ]; then
	num=`grep "alias scsi_hostadapter" /etc/modules.conf | wc -l | awk '{print $1}'`;
	if [ $num -eq 0 ]; then
		num="";
	fi;
	echo "alias scsi_hostadapter${num} ${drivername}" >> /etc/modules.conf;
fi

cd /lib/modules
for i in `ls | grep ${version}`; do
	cd /lib/modules;
	echo "Extracting driver into /lib/modules/${i}";
	zcat ${mods} | cpio -iumd ${i}/${drivername}.o || continue;
	find $i/kernel/drivers -name ${drivername}.o -print |xargs rm -f;
	mv ${i}/${drivername}.o ${i}/kernel/drivers/scsi/aic7xxx;

	echo "Creating initrd image";
	/sbin/mkinitrd -f /boot/initrd-${i}.img ${i};

	echo "Updating GRUB";
	cd /boot/grub;
	teststr=`grep initrd-${i}.img grub.conf`;
	teststr1=`grep kernel.*${i} grub.conf`;
	if [ -z "${teststr}" -a "${teststr1}" ]; then
		rootstr=`grep "kernel.*${i} " grub.conf | awk '{print $2}' | sed -e 's/\/vmlinuz.*//'`;
		sed -e "/kernel.*${i}\ /a\\
		initrd ${rootstr}/initrd-${i}.img" < grub.conf > grub.conf.new;
		if [ ! -s grub.conf.new ]; then
			echo "GRUB update failed";
			exit 1;
		fi;
		mv grub.conf.new grub.conf;
	fi;
done

echo "Done"
