#!/bin/sh
#
# Shell script to customize RPM files for the adp94xx driver.
#
# $1 = Build Environment Root
#
# $2 = RPM destination directory
#
RPM_TEMPLATE_DIR=$1/pkg/rpm

SUMMARY="Adaptec ADP94XX Driver RPM"
NAME="adp94xx"
PRODUCT="adp94xx"
VERSION=`cat $1/scsi/adp94xx/adp94xx_osm.h | \
	 sed -n 's/#define.*ASD_DRIVER_VERSION.*"\(.*\)".*/\1/p'`
RELEASE="0"
COPYRIGHT="GPL/BSD"
DESCRIPTION="This driver supports the Adaptec AIC-94xx SAS/SATA products."
MODULE_INSTALL_PATH=kernel/drivers/scsi/adp94xx

sed_cmds="
	s=%_SUMMARY_%=$SUMMARY=g
	s=%_DESCRIPTION_%=$DESCRIPTION=g
	s=%_PRODUCT_%=$PRODUCT=g
	s=%_VERSION_%=$VERSION=g
	s=%_RELEASE_%=$RELEASE=g
	s=%_COPYRIGHT_%=$COPYRIGHT=g
	s=%_MODULE_INSTALL_PATH_%=$MODULE_INSTALL_PATH=g"

cp $RPM_TEMPLATE_DIR/* $2
sed "$sed_cmds" $2/template.spec > $2/$PRODUCT.spec
rm $2/template.spec
sed "$sed_cmds" $2/install.sh > $2/install.sh.$$
mv $2/install.sh.$$ $2/install.sh
