#!/bin/sh
#
# Shell script to customize RPM files for the adp94xx driver.
#
# $1 = Build Environment Root
#
# $2 = RPM destination directory
#eval "sed -e 's/^#define ADPT_MINOR_REV.*/#define ADPT_MINOR_REV 		1/' < hr.c > ttt0"
#eval "sed -e 's/^#define ADPT_CHIM_REV.*/#define ADPT_CHIM_REV 		$chimver_/' < ttt0 > ttt"
#eval "sed -e 's/^#define ADPT_OSM_REV.*/#define ADPT_OSM_REV 		$cdaver_/' < ttt > ttt1"
#eval "sed -e 's/^# define HR_DRIVER_SUBREVISION.*\"*\"/# define HR_DRIVER_SUBREVISION 		\"$cdaver\"/' < ttt1 > ttt2"
##eval "sed -e 's/^# define HR_DRIVER_CHIMVERSION.*\"*\"/# define HR_DRIVER_CHIMVERSION 		\"$chimver\"/' < ttt2 > ttt3"
#eval "sed -e 's/^# define HR_DRIVER_CHIMVERSION.*\"*\"/# define HR_DRIVER_CHIMVERSION 		\"$BUILD_NUM\"/' < ttt2 > ttt3"
#mv ttt3 hr.c -f
#rm -f ttt0 ttt ttt1 ttt2 
#
RPM_TEMPLATE_DIR=$1/pkg/rpm

SUMMARY="Adaptec ADP94XX Driver RPM"
NAME="adp94xx"
PRODUCT="adp94xx"
RELEASE="$3"
location=`find $1/scsi/adp94xx -type f -name 'hr.c' -print`
	MAJOR_VERSION=`cat $location | \
		 sed -n 's/^#[[:space:]]*define[[:space:]]*ADPT_MAJOR_REV[[:space:]]*\([0-9]\+\).*/\1/p'`
	MINOR_VERSION=`cat $location | \
		 sed -n 's/^#[[:space:]]*define[[:space:]]*ADPT_MINOR_REV[[:space:]]*\([0-9]\+\).*/\1/p'`
	SUBMINOR_VERSION=`cat $location | \
		 sed -n 's/^#[[:space:]]*define[[:space:]]*ADPT_OSM_REV[[:space:]]*\([0-9]\+\).*/\1/p'`
	CHIM_VERSION=`cat $location | \
		 sed -n 's/^#[[:space:]]*define[[:space:]]*ADPT_CHIM_REV[[:space:]]*\([0-9]\+\).*/\1/p'`
idir=$1/scsi/$PRODUCT
if [ -e $idir/chimver.h ];then
	cp $idir/chimver.h $idir/chimver.h_
 	dos2unix -q $idir/chimver.h_
	chimversion=`grep Version: $idir/chimver.h_|awk -F 'Version: ' '{print $2}'|awk -F $ '{print $1}'`
	rm -f $idir/chimver.h_
#	VERSION=${MAJOR_VERSION}.${MINOR_VERSION}.${SUBMINOR_VERSION}.${chimversion}
	VERSION=${MAJOR_VERSION}.${MINOR_VERSION}.${SUBMINOR_VERSION}.${CHIM_VERSION}
else
	VERSION=${MAJOR_VERSION}.${MINOR_VERSION}.${SUBMINOR_VERSION}
fi
COPYRIGHT="GPL/BSD"
DESCRIPTION="This driver supports the Adaptec AIC-94xx SAS/SATA products."
MODULE_INSTALL_PATH=kernel/drivers/scsi/adp94xx

sed_cmds="
	s=%_SUMMARY_%=$SUMMARY=g
	s=%_DESCRIPTION_%=$DESCRIPTION=g
	s=%_PRODUCT_%=$PRODUCT=g
	s=%_VERSION_%=$VERSION=g
	s=%_RELEASE_%=$RELEASE=g
	s=%_COPYRIGHT_%=$COPYRIGHT=g
	s=%_MODULE_INSTALL_PATH_%=$MODULE_INSTALL_PATH=g"

cp $RPM_TEMPLATE_DIR/* $2
sed "$sed_cmds" $2/template.spec > $2/$PRODUCT.spec
rm $2/template.spec
sed "$sed_cmds" $2/install.sh > $2/install.sh.$$
mv $2/install.sh.$$ $2/install.sh
