/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

#ifndef CDAERR_H_INCLUDED
#define CDAERR_H_INCLUDED

/***************************************************************************** 
*
*	                         H E A D E R  F I L E
*
*                                   F O R
*	
*                           Adaptec CDA Error Codes
*
*****************************************************************************/



//============================================================================
//
//	REVISION HISTORY
//
//		Revision History should be entered in the following format, with the
//		most recent history on the top of the list.
//
//		MM/DD/YYYY : HH:MM	LAST_NAME
//		DESCRIPTION OF CHANGES
//
//============================================================================

/*

02/4/2005 : 12:00	Shing-Kin Pun
Initial design and development.

*/



/*============================================================================
 *
 *  HRDD - HostRaid Debug Descriptor
 *  Author:	SKP
 *
 *==========================================================================*/

typedef	struct	_HRDD
{
	ULONG	ulSrbSeq;			/* This Sequence Counter increments each
								 * time when HwStartIO is entered. It
								 * provides a sequencing # for the Srb
								 * for debugging and tracing purposes.
								 */
} HRDD;


/*============================================================================
 *
 *  CDA ERROR CODE Definition
 *  Author:	SKP
 *
 *==========================================================================*/

#define CDAERR_BASE                                 (USHORT)1000

#define CDAERR_SELECTION_TIMEOUT_BUSY               (USHORT)(CDAERR_BASE+1)
#define CDAERR_FAILED_ALLOCIODS                     (USHORT)(CDAERR_BASE+2)
#define CDAERR_IO_CHAIN_IS_BROKEN                   (USHORT)(CDAERR_BASE+3)
#define CDAERR_TOTAL_OPS_IS_ZERO                    (USHORT)(CDAERR_BASE+4)
#define CDAERR_VALUE_OVRRUN_IOOPINFO_ulCrntOp       (USHORT)(CDAERR_BASE+5)
#define CDAERR_VALUE_OVRRUN_usStripeDiskIdx         (USHORT)(CDAERR_BASE+6)


#define CDAERR_INVALID_VALUE_INPUT_PARAM            (USHORT)(CDAERR_BASE+100)
#define CDAERR_XFER_EXTENDS_BEYOND_SGLIST           (USHORT)(CDAERR_BASE+101)

#define CDAERR_INVALID_VALUE_pSD_StripeFactor       (USHORT)(CDAERR_BASE+200)
#define CDAERR_INVALID_VALUE_pSD_StripeShift        (USHORT)(CDAERR_BASE+201)
#define CDAERR_INVALID_VALUE_pSD_pRelationalSD      (USHORT)(CDAERR_BASE+202)

#define CDAERR_INVALID_VALUE_pOSD_pOSD_IODChain     (USHORT)(CDAERR_BASE+300)
#define CDAERR_INVALID_VALUE_pOSD_pOSD_SysDevice    (USHORT)(CDAERR_BASE+301)
#define CDAERR_INVALID_VALUE_pOSD_OSD_cCDB          (USHORT)(CDAERR_BASE+302)
#define CDAERR_INVALID_VALUE_pOSD_cOSD_Blocks       (USHORT)(CDAERR_BASE+303)

#define CDAERR_INVALID_VALUE_pIOD_pIOD_IOParent     (USHORT)(CDAERR_BASE+400)
#define CDAERR_INVALID_VALUE_pIOD_pIOD_PhysParent   (USHORT)(CDAERR_BASE+401)
#define CDAERR_INVALID_VALUE_pIOD_pIOD_SysParent    (USHORT)(CDAERR_BASE+402)

#define CDAERR_INVALID_VALUE_pIOOPINFO_ulTotalOps   (USHORT)(CDAERR_BASE+503)

#endif	//CDAERR_H_INCLUDED
