/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/***************************************************************************

History :

12/13/2000 : 11:08 AM   NAR20038  Manjunath

Changes from CDA to TajMahal code base. For previous history please 
refer the file in Build 1.


***************************************************************************/

//===========================================================================
//
//		Module Name:
//
//			logerror.h
//
//		Abstract:
//
//			This file contains the defined UniqueID's for logging errors
//          in Adaptec miniports.
//
//		Environment:
//
//			kernel mode only
//
//		Indentation:
//
//			4 spaces per tab
//
//===========================================================================

//
// uniqueID is a 32 bit value. Bits 31..16 are used for EM_ messages and
// 15..0 are used for status/other info associated with error.
//
#define EM_INVALID_MAILBOX_STATUS     			(0x1 << 0x10)
#define EM_IO_COMPLETION_ERRORS				(0x2 << 0x10)
#define EM_READ_COMMAND_REG_TIMEOUT			(0x3 << 0x10)
#define EM_WRITE_COMMAND_REG_TIMEOUT			(0x4 << 0x10)
#define EM_INVALID_PHYS_ADDRESS 				(0x5 << 0x10)
#define EM_INVALID_PHYS_ADDRESS_2 				(0x6 << 0x10)
#define EM_UNCACHED_MEMOROY_FAILED				(0x7 << 0x10)	  
#define EM_WRITE_DATA_REG_TIMEOUT				(0x8 << 0x10)	  
#define EM_INTERRUPT_TIMEOUT					(0x9 << 0x10)
#define EM_ERROR_PERFORMING_SCAM				(0xA << 0x10)
#define EM_HA_INIT_FAILED						(0xB << 0x10)
#define EM_RESET_SCSI_BUS_FAILED				(0xC << 0x10)
#define EM_TAG_REJECTED         				(0xD << 0x10)
#define EM_TARGET_STATUS						(0xE << 0x10)
#define EM_INCORRECT_TERMINATION				(0xF << 0x10)
#define EM_UNDEFINED_RESULT					(0x10 << 0x10)
#define EM_SG_LIMIT_PASSED						(0x11 << 0x10)
