/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

#include "sysdef.h"
#include "hr.h"

int GetPTLFromLDTree(pLDTree pTarget, 
		struct hr_disk_info *pdiskinfo, PVOID pADE)
{
	USHORT          depth;
	pSysDevice      pSD;

	pSD = FindSysDeviceFromLDTree(pTarget, &depth, pADE);

	/*
	 * DC: We also want to fail this if the Array is "dead",
	 *     since the member(s) of "dead" array won't be exposed to
	 *     OSM.
	 */ 
	if ((pSD == NULL) || (pSD->ArrayState == ARRAY_STATE_FAILED) ||
 	    (pSD->SysDeviceAccess == CONTROLLER) ||
	    (pSD->SysDeviceAccess & REMOTE))
		return 1;

	pdiskinfo->bus = pSD->SysReportedBus;
	pdiskinfo->target = pSD->SysReportedId;
	pdiskinfo->lun = pSD->SysReportedLUN;

	return 0;
}

int GetSysDeviceAccess(PVOID pIo_Handle)
{
 
	pSysDevice      pSD;

	pSD = (pSysDevice) pIo_Handle;

	return pSD->SysDeviceAccess;
}
