/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/**********************************************************************
Filename: raidtype.h

File Description
Common type defs for pointer resolution in data structures. All
typedefs for raid go here.

***********************************************************************

History :

10/09/03: Madhuresh
Cleanup.

01/24/2001 : 03:05 PM   NAR20038  Manjunath
Removed SabreMemList and POWEREDCACHE

12/13/2000 : 11:08 AM   NAR20038  Manjunath

Changes from CDA to TajMahal code base. For previous history please 
refer the file in Build 1.


***********************************************************************/

#ifndef	RAIDTYPE_INCLUDED
#define	RAIDTYPE_INCLUDED

#include	"sysdef.h"

/*
	Forward define all key data structure prototypes.
*/
typedef struct	_PhysDeviceStats	DPTR pPhysDeviceStats;
typedef struct	_PhysDevice			DPTR pPhysDevice;
typedef struct	_AdapterDevice		DPTR pAdapterDevice;
typedef struct	_ControllerDevice	DPTR pControllerDevice;
typedef struct	_SysDeviceStats		DPTR pSysDeviceStats;
typedef struct	_SysEntryPoints		DPTR pSysEntryPoints;
typedef struct	_SysDevice			DPTR pSysDevice;
typedef struct	_IODescriptor		IODescriptor, DPTR pIODescriptor;
typedef struct	_DHeader			DPTR pDHeader;
typedef struct	_RecoveryDescriptor	DPTR pRecoveryDescriptor;
typedef struct	_OSDescriptor		DPTR pOSDescriptor;
typedef struct	_CalcDescriptor		DPTR pCalcDescriptor;
typedef struct	_SGTable			DPTR pSGTable;
typedef struct	_ADAPTER_DEV_EXT	ADAPTER_DEV_EXT, DPTR pADAPTER_DEV_EXT ;
typedef struct  _RSUBuffer          DPTR pRSUBuffer;
#endif







