/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/**********************************************************************
Filename: remote.h

File Description
Defines structures for the transmission/receipt of commands for remote
(controller) based devices.

***********************************************************************

History :
02/13/2004: Madhuresh
Compacted to make almost same as AP.

***********************************************************************/

#ifndef REMOTE_INCLUDED
#define REMOTE_INCLUDED

#include "sysdef.h"

#define DATA_IN     0
#define DATA_OUT    1

typedef struct _RemoteCtlPkt DPTR pRemoteCtlPkt;

/*
	RP is whats used internally for background IOs and Athena IOCTLs.
	AP is converted into RP before executing.
*/
typedef struct _RemoteCtlPkt           /* structure size is 416 bytes */
{
    pRemoteCtlPkt   pRP_Next ;
    LDTree          RP_Target ;
    UCHAR           RP_Direction ;
    UCHAR           RP_RetryCount ;
    UCHAR           RP_Padding[2] ;
    SCSICDB12       RP_SCSICmd ;
    USHORT          RP_szSCSICmd ;
    USHORT          RP_Timeout ;			/* In seconds */
    USHORT          RP_Priority;		/* Priority for array management functions. */
    USHORT          RP_Status;
    SGTable         RP_SGTable;
    SGElement	    RP_SGList[ ATHENA_SG_MAX ];
    SCSISenseData   RP_Sense;

    PVOID           pRP_Parent;			/* Back pointer, for OS use only */
    FPTR            pRP_Post;
    FPTR            pRP_Retry;
    pSysDevice      pRP_SysDevice;

    pADAPTER_DEV_EXT	pAdapterDevExt;

    PVOID           pRP_Resource;   

} RemoteCtlPkt;

#endif
