/*$Header: X:\chimdev\sas\src\sascom.h   \main\v1040a\1   Tue Oct  3 20:45:36 2006   LUU $*/
/*
 * Copyright  2005-2006 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/***************************************************************************
*
*  Module Name:   SASCOM.H
*
*  Description:   Definitions which are common to SAS implementations
*
*  Owners:        SSG CHIM Team
*
*  Notes:         
*
***************************************************************************/
typedef struct SAS_DUMP_OPTIONS_
{
   HIM_UEXACT32  sharedStructures;
   HIM_UINT16    sharedStructuresQualifier;
   HIM_UEXACT32  chipMemory;
   HIM_UEXACT32  registerSet;
   HIM_UEXACT32  registerSetQualifier;
   HIM_UEXACT32  himStructures;
   HIM_UEXACT32  himQueues;
   HIM_UEXACT32  seqStructures;
}SAS_DUMP_OPTIONS;

typedef struct SAS_DUMP_OBJECT_TRACE_INFO_
{
    void HIM_PTR traceBuffer;
    HIM_UINT32   traceBufferSize;
} SAS_DUMP_OBJECT_TRACE_INFO;

/* Shared structures */
#define  SAS_SHARED_STRUCT_SCB             HIM_SHARED_STRUCT_SCB           
#define  SAS_SHARED_STRUCT_DONE_LIST       HIM_SHARED_STRUCT_DONE_LIST
#define  SAS_SHARED_STRUCT_ERROR_BUFFERS   HIM_SHARED_STRUCT_ERROR_BUFFERS
#define  SAS_SHARED_STRUCT_NEXUS_BUFFERS   HIM_SHARED_STRUCT_NEXUS_BUFFERS
#define  SAS_SHARED_STRUCT_ALL             HIM_SHARED_STRUCT_ALL
/* Chip Memory */
#define  SAS_CHIP_MEMORY_DDB               HIM_CHIP_MEMORY_DDB              
#define  SAS_CHIP_MEMORY_SCB               HIM_CHIP_MEMORY_SCB          
#define  SAS_CHIP_MEMORY_CSEQ_SCRATCH      HIM_CHIP_MEMORY_CSEQ_SCRATCH 
#define  SAS_CHIP_MEMORY_LSEQ0_SCRATCH     HIM_CHIP_MEMORY_LSEQ0_SCRATCH      
#define  SAS_CHIP_MEMORY_LSEQ1_SCRATCH     HIM_CHIP_MEMORY_LSEQ1_SCRATCH
#define  SAS_CHIP_MEMORY_LSEQ2_SCRATCH     HIM_CHIP_MEMORY_LSEQ2_SCRATCH
#define  SAS_CHIP_MEMORY_LSEQ3_SCRATCH     HIM_CHIP_MEMORY_LSEQ3_SCRATCH
#define  SAS_CHIP_MEMORY_LSEQ4_SCRATCH     HIM_CHIP_MEMORY_LSEQ4_SCRATCH
#define  SAS_CHIP_MEMORY_LSEQ5_SCRATCH     HIM_CHIP_MEMORY_LSEQ5_SCRATCH
#define  SAS_CHIP_MEMORY_LSEQ6_SCRATCH     HIM_CHIP_MEMORY_LSEQ6_SCRATCH
#define  SAS_CHIP_MEMORY_LSEQ7_SCRATCH     HIM_CHIP_MEMORY_LSEQ7_SCRATCH
#define  SAS_CHIP_MEMORY_ASI               HIM_CHIP_MEMORY_ASI          
#define  SAS_CHIP_MEMORY_ALL_OCM           HIM_CHIP_MEMORY_ALL_OCM      
#define  SAS_CHIP_MEMORY_OCM_DIRECTORY     HIM_CHIP_MEMORY_OCM_DIRECTORY
#define  SAS_CHIP_MEMORY_ALL               HIM_CHIP_MEMORY_ALL

#define  SAS_REGISTERS_COMSAS              HIM_REGISTERS_COMSAS
#define  SAS_REGISTERS_DATAFIFO            HIM_REGISTERS_DATAFIFO
#define  SAS_REGISTERS_CSEQ                HIM_REGISTERS_CSEQ
#define  SAS_REGISTERS_CSEQSTATE           HIM_REGISTERS_CSEQSTATE
#define  SAS_REGISTERS_CSEQTRACE           HIM_REGISTERS_CSEQTRACE
#define  SAS_REGISTERS_LSEQSTATE           HIM_REGISTERS_LSEQSTATE
#define  SAS_REGISTERS_LSEQDMA             HIM_REGISTERS_LSEQDMA
#define  SAS_REGISTERS_LSEQ                HIM_REGISTERS_LSEQ
#define  SAS_REGISTERS_OOB                 HIM_REGISTERS_OOB
#define  SAS_REGISTERS_LSEQTRACE           HIM_REGISTERS_LSEQTRACE
#define  SAS_REGISTERS_ALL                 HIM_REGISTERS_ALL

/* Register Set Qualifiers*/                                    
#define  SAS_REGISTERS_PHY0                HIM_REGISTERS_PHY0         
#define  SAS_REGISTERS_PHY1                HIM_REGISTERS_PHY1 
#define  SAS_REGISTERS_PHY2                HIM_REGISTERS_PHY2
#define  SAS_REGISTERS_PHY3                HIM_REGISTERS_PHY3
#define  SAS_REGISTERS_PHY4                HIM_REGISTERS_PHY4
#define  SAS_REGISTERS_PHY5                HIM_REGISTERS_PHY5
#define  SAS_REGISTERS_PHY6                HIM_REGISTERS_PHY6
#define  SAS_REGISTERS_PHY7                HIM_REGISTERS_PHY7
#define  SAS_REGISTERS_ALL_PHYS            HIM_REGISTERS_ALL_PHYS

/* Queues */
#define  SAS_QUEUE_SCAN_RESOURCES          HIM_QUEUE_SCAN_RESOURCES
#define  SAS_QUEUE_ERROR_RECOVER           HIM_QUEUE_ERROR_RECOVER 
#define  SAS_QUEUE_ADAPTER                 HIM_QUEUE_ADAPTER       
#define  SAS_QUEUE_DEVICE_PORT             HIM_QUEUE_DEVICE_PORT   
#define  SAS_QUEUE_LU                      HIM_QUEUE_LU            
#define  SAS_QUEUE_ACTIVE                  HIM_QUEUE_ACTIVE        
#define  SAS_QUEUE_DONE                    HIM_QUEUE_DONE          
#define  SAS_QUEUE_TRANSLATION             HIM_QUEUE_TRANSLATION   
#define  SAS_QUEUE_POST_DELAY              HIM_QUEUE_POST_DELAY
#define  SAS_QUEUE_ALL                     HIM_QUEUE_ALL




