/*
 * Copyright  2005 Adaptec, Inc.  All rights reserved.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that i) redistribution of source code must retain the above copyright
 * notices, this list of conditions and the following disclaimer; ii)
 * redistribution in binary form must reproduce  the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution and iii) Adaptecs
 * name may not be used to endorse or promote products derived from this
 * software without specific written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY ADAPTEC AS IS AND ADAPTEC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THE SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT
 * SHALL ADAPTEC, INC. BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR SPECIAL, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES OR ANY OTHER
 * DAMAGES WHATSOEVER, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

/* $Header: H:\satanexgen\src\sataosm.h_t   \main\2   Sat Feb 19 18:41:31 2005   lin23747 $ */

/***************************************************************************
*
*  Module Name:   SATAOSM.H
*
*  Description:   SATA implementation specific customization
*
*  Owners:        SSG CHIM Team
*
*  Notes:         None
*
***************************************************************************/

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/* Customization unique to implementation                                 */
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/

#define SATA_CHIM_SPEC_REV_5_SUPPORT	1

/* NCQ supported -------------------------------------------------------------*/
#define SATA_ENABLE_NCQ_SUPPORT     0        /* Enable/Disable NCQ support    */
                                             /* 0 - will not call OSMxLUEvent */

/* New HIMCreateLuTSCB support------------------------------------------------*/
#define NEW_LU_TSCB_SUPPORT         0        /* Enable/Disable new HIMCreateLuTSCB */
                                             /* 0 old ver w/o osmLuContext    */
                                             /* 1 new ver w/ osmLuContext,    */
                                             /*   only makes sense w/NCQ      */
                                             
/* Work Around usually temporary ---------------------------------------------*/
#define LINUX_TUR_WR                1        /* TUR always return SUCCESS     */
                                             /* Some reason in Linux, Rcvd    */
                                             /* D2H FIS does not get copied   */
                                             /* over correctly in the IOB ext */
